Bug 1439162 - [abrt] spacefm: gdk_x11_drag_context_drag_status(): spacefm killed by SIGSEGV
Summary: [abrt] spacefm: gdk_x11_drag_context_drag_status(): spacefm killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: spacefm
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:15f14855f1f8b3e64cb1b8a492b...
: 1350103 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-05 11:04 UTC by Jean-Charles Malahieude
Modified: 2017-04-15 23:51 UTC (History)
3 users (show)

Fixed In Version: spacefm-1.0.5-5.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-15 23:51:31 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (40.74 KB, text/plain)
2017-04-05 11:04 UTC, Jean-Charles Malahieude
no flags Details
File: cgroup (242 bytes, text/plain)
2017-04-05 11:04 UTC, Jean-Charles Malahieude
no flags Details
File: core_backtrace (5.40 KB, text/plain)
2017-04-05 11:04 UTC, Jean-Charles Malahieude
no flags Details
File: dso_list (9.64 KB, text/plain)
2017-04-05 11:04 UTC, Jean-Charles Malahieude
no flags Details
File: environ (1.81 KB, text/plain)
2017-04-05 11:04 UTC, Jean-Charles Malahieude
no flags Details
File: exploitable (112 bytes, text/plain)
2017-04-05 11:04 UTC, Jean-Charles Malahieude
no flags Details
File: limits (1.29 KB, text/plain)
2017-04-05 11:04 UTC, Jean-Charles Malahieude
no flags Details
File: maps (48.49 KB, text/plain)
2017-04-05 11:04 UTC, Jean-Charles Malahieude
no flags Details
File: mountinfo (3.45 KB, text/plain)
2017-04-05 11:04 UTC, Jean-Charles Malahieude
no flags Details
File: namespaces (102 bytes, text/plain)
2017-04-05 11:04 UTC, Jean-Charles Malahieude
no flags Details
File: open_fds (1.51 KB, text/plain)
2017-04-05 11:04 UTC, Jean-Charles Malahieude
no flags Details
File: proc_pid_status (1.26 KB, text/plain)
2017-04-05 11:04 UTC, Jean-Charles Malahieude
no flags Details
File: var_log_messages (297 bytes, text/plain)
2017-04-05 11:04 UTC, Jean-Charles Malahieude
no flags Details

Description Jean-Charles Malahieude 2017-04-05 11:04:14 UTC
Description of problem:
Trying to drag&drop a file, whichever one of the four possible options in Preferences is chosen, SpaceFM aborts.

This happens with wayland, X11 and gnome-classic.

Version-Release number of selected component:
spacefm-1.0.5-3.101.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        spacefm
crash_function: gdk_x11_drag_context_drag_status
executable:     /usr/bin/spacefm
global_pid:     1921
kernel:         4.10.8-200.fc25.x86_64
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (2 frames)
 #0 gdk_x11_drag_context_drag_status at gdkdnd-x11.c:2442
 #1 on_dir_tree_view_drag_motion at ptk/ptk-dir-tree-view.c:876

Comment 1 Jean-Charles Malahieude 2017-04-05 11:04:20 UTC
Created attachment 1268919 [details]
File: backtrace

Comment 2 Jean-Charles Malahieude 2017-04-05 11:04:22 UTC
Created attachment 1268920 [details]
File: cgroup

Comment 3 Jean-Charles Malahieude 2017-04-05 11:04:24 UTC
Created attachment 1268921 [details]
File: core_backtrace

Comment 4 Jean-Charles Malahieude 2017-04-05 11:04:26 UTC
Created attachment 1268922 [details]
File: dso_list

Comment 5 Jean-Charles Malahieude 2017-04-05 11:04:27 UTC
Created attachment 1268923 [details]
File: environ

Comment 6 Jean-Charles Malahieude 2017-04-05 11:04:29 UTC
Created attachment 1268924 [details]
File: exploitable

Comment 7 Jean-Charles Malahieude 2017-04-05 11:04:30 UTC
Created attachment 1268925 [details]
File: limits

Comment 8 Jean-Charles Malahieude 2017-04-05 11:04:33 UTC
Created attachment 1268926 [details]
File: maps

Comment 9 Jean-Charles Malahieude 2017-04-05 11:04:34 UTC
Created attachment 1268927 [details]
File: mountinfo

Comment 10 Jean-Charles Malahieude 2017-04-05 11:04:36 UTC
Created attachment 1268928 [details]
File: namespaces

Comment 11 Jean-Charles Malahieude 2017-04-05 11:04:38 UTC
Created attachment 1268929 [details]
File: open_fds

Comment 12 Jean-Charles Malahieude 2017-04-05 11:04:39 UTC
Created attachment 1268930 [details]
File: proc_pid_status

Comment 13 Jean-Charles Malahieude 2017-04-05 11:04:41 UTC
Created attachment 1268931 [details]
File: var_log_messages

Comment 14 Mamoru TASAKA 2017-04-07 05:23:26 UTC
Looks like drag & dropping file works for me.

Would you tell me some detailed procedure or create a movie when the crash happens?

Comment 15 Mamoru TASAKA 2017-04-07 07:29:33 UTC
Okay, reproduced.

Comment 16 Mamoru TASAKA 2017-04-07 07:42:56 UTC
*** Bug 1350103 has been marked as a duplicate of this bug. ***

Comment 17 Fedora Update System 2017-04-07 09:10:22 UTC
spacefm-1.0.5-5.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-97d06c2b48

Comment 18 Fedora Update System 2017-04-07 09:10:36 UTC
spacefm-1.0.5-5.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-06852a5988

Comment 19 Fedora Update System 2017-04-07 09:10:41 UTC
spacefm-1.0.5-5.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ac8087044a

Comment 20 Fedora Update System 2017-04-07 19:54:18 UTC
spacefm-1.0.5-5.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ac8087044a

Comment 21 Fedora Update System 2017-04-07 19:58:21 UTC
spacefm-1.0.5-5.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-06852a5988

Comment 22 Fedora Update System 2017-04-07 21:21:45 UTC
spacefm-1.0.5-5.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-97d06c2b48

Comment 23 Fedora Update System 2017-04-12 14:51:19 UTC
spacefm-1.0.5-5.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2017-04-15 22:48:27 UTC
spacefm-1.0.5-5.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 25 Fedora Update System 2017-04-15 23:51:31 UTC
spacefm-1.0.5-5.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.